aboutsummaryrefslogtreecommitdiff
path: root/app/shells
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-01-16 14:07:19 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-01-16 14:07:19 +0000
commit28b933a955ffb909133002f842638ff5a5427e8f (patch)
tree8e6b7bb35ba285bceeddac4f9315e694764034f7 /app/shells
parente2a124d45391bed5afa07a4a0e3708dd7113f11c (diff)
downloadslackbuilds-28b933a955ffb909133002f842638ff5a5427e8f.tar.gz
slackbuilds-28b933a955ffb909133002f842638ff5a5427e8f.tar.bz2
rssh and rssh-chroot update
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@968 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/shells')
-rw-r--r--app/shells/rssh-chroot/COPYING.glibc (renamed from app/shells/rssh/COPYING.glibc)0
-rw-r--r--app/shells/rssh-chroot/COPYING.openssh (renamed from app/shells/rssh/COPYING.openssh)0
-rw-r--r--app/shells/rssh-chroot/COPYING.rssh (renamed from app/shells/rssh/COPYING.rssh)0
-rwxr-xr-xapp/shells/rssh-chroot/rssh-chroot.SlackBuild (renamed from app/shells/rssh/rssh-chroot.SlackBuild)28
-rw-r--r--app/shells/rssh-chroot/slack-required2
-rwxr-xr-xapp/shells/rssh/rssh.SlackBuild40
6 files changed, 47 insertions, 23 deletions
diff --git a/app/shells/rssh/COPYING.glibc b/app/shells/rssh-chroot/COPYING.glibc
index b3b8899e..b3b8899e 100644
--- a/app/shells/rssh/COPYING.glibc
+++ b/app/shells/rssh-chroot/COPYING.glibc
diff --git a/app/shells/rssh/COPYING.openssh b/app/shells/rssh-chroot/COPYING.openssh
index ac3634f2..ac3634f2 100644
--- a/app/shells/rssh/COPYING.openssh
+++ b/app/shells/rssh-chroot/COPYING.openssh
diff --git a/app/shells/rssh/COPYING.rssh b/app/shells/rssh-chroot/COPYING.rssh
index 32ecd35b..32ecd35b 100644
--- a/app/shells/rssh/COPYING.rssh
+++ b/app/shells/rssh-chroot/COPYING.rssh
diff --git a/app/shells/rssh/rssh-chroot.SlackBuild b/app/shells/rssh-chroot/rssh-chroot.SlackBuild
index 9853bdb4..e61aa3f4 100755
--- a/app/shells/rssh/rssh-chroot.SlackBuild
+++ b/app/shells/rssh-chroot/rssh-chroot.SlackBuild
@@ -3,15 +3,19 @@
# slackbuild for rssh-chroot
#
-CWD="`pwd`"
-
-cat << EOCAT
-Please consider to run this script with the following things installed:
-
- rssh
- libsafe
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building rssh-chroot are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
-EOCAT
+CWD="`pwd`"
if [ "$INTERACT" != "no" ]; then
echo "Hit ENTER do continue, Crtl-C to abort"
@@ -37,6 +41,12 @@ SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
else
@@ -119,7 +129,7 @@ EOF
chmod 755 ./$CHROOT_BASE/{bin,etc,lib,lib/tls,usr/lib,usr/libexec,usr/bin,usr/doc,dev}
chmod 111 ./$CHROOT_BASE/home
-makepkg -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+makepkg -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
if [ "$CLEANUP" == "yes" ]; then
rm -rf $TMP
diff --git a/app/shells/rssh-chroot/slack-required b/app/shells/rssh-chroot/slack-required
new file mode 100644
index 00000000..cd2e02cb
--- /dev/null
+++ b/app/shells/rssh-chroot/slack-required
@@ -0,0 +1,2 @@
+rssh
+libsafe
diff --git a/app/shells/rssh/rssh.SlackBuild b/app/shells/rssh/rssh.SlackBuild
index af7c2324..c8730486 100755
--- a/app/shells/rssh/rssh.SlackBuild
+++ b/app/shells/rssh/rssh.SlackBuild
@@ -3,6 +3,18 @@
# slackbuild for rssh
#
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building rssh are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
CWD="`pwd`"
if [ -f ~/.slackbuildrc ]; then
@@ -21,6 +33,12 @@ SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
else
@@ -43,25 +61,19 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2"
fi
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
SRC_DIR="$SRC_DIR/$PACKAGE"
mkdir -p $SRC_DIR
if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
- wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET
fi
if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc
fi
-gpg --verify $SRC.sig $SRC || echo WARNING: Could not check signature or WRONG signature found.
+gpg --verify $SRC.sig $SRC || exit $ERROR_GPG
TMP="$TMP/$PACKAGE"
rm -rf $TMP
@@ -70,16 +82,16 @@ cd $TMP
rm -rf $PACKAGE-$VERSION $PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-tar xvf$tarflag $SRC_DIR/$PACKAGE-$VERSION.tar.$PACKAGE_EXT
+tar xvf $SRC_DIR/$PACKAGE-$VERSION.tar.$PACKAGE_EXT || exit $ERROR_TAR
cd $PACKAGE-$VERSION
# small fix for Makefile correctly honour DESTDIR
sed -e 's/chmod u+s \$(libexecdir)\/rssh_chroot_helper/chmod u+s \$(DESTDIR)\$(libexecdir)\/rssh_chroot_helper/' \
Makefile.in > Makefile.in.new && mv Makefile.in.new Makefile.in
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
-make || exit 32
-make install DESTDIR=$TMP/package-$PACKAGE
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make install DESTDIR=$TMP/package-$PACKAGE || exit $ERROR_INSTALL
CWD="`pwd`"
@@ -120,7 +132,7 @@ cp $CWD/{AUTHORS,CHROOT,COPYING,ChangeLog,INSTALL,LICENSE,NEWS,README,SECURITY,T
# install script
echo '( if [ ! -f "etc/rssh.conf" ]; then mv etc/rssh.conf.new etc/rssh.conf; fi )' > install/doinst.sh
-makepkg -c y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+makepkg -c y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
if [ "$CLEANUP" == "yes" ]; then
rm -rf $TMP